# Uses of Class
org.eclipse.e4.ui.workbench.renderers.swt.MenuManagerRenderer

Packages that use MenuManagerRenderer
Package
Description
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of MenuManagerRenderer in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MenuManagerRenderer
Modifier and Type
Method
Description
`static void`
MenuManagerRendererFilter.`collectInfo(ExpressionInfo info, MMenu menuModel, MenuManagerRenderer renderer, IEclipseContext evalContext, boolean recurse)`
`static void`
MenuManagerRendererFilter.`updateElementVisibility(MMenu menuModel, MenuManagerRenderer renderer, MenuManager menuManager, IEclipseContext evalContext, int recurseLevel, boolean updateEnablement)`
Constructors in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MenuManagerRenderer
Modifier
Constructor
Description
``
`ContributionRecord(MMenu menuModel, MMenuContribution contribution, MenuManagerRenderer renderer)`